import type { App } from 'vue';
import {
  Button,
  Alert,
  Form,
  Tabs,
  Input,
  Row,
  Col,
  Checkbox,
  Card,
  Tooltip,
  Avatar,
  Dropdown,
  Modal,
  Menu,
  Breadcrumb,
  Drawer,
  Switch,
  Divider,
  Badge,
  Affix,
  Space,
  Tag,
  Typography,
  Skeleton,
  Progress,
  List,
  Table,
  DatePicker,
  TimePicker,
  Popconfirm,
  Radio,
  Select,
  InputNumber,
  Popover,
  Image,
  Steps,
  Result,
  Descriptions,
  Upload,
  Spin,
  Empty,
  Tree,
  TreeSelect,
  AutoComplete,
  message,
  Cascader,
  Pagination
} from 'ant-design-vue';

export function setupAntd(app: App<Element>) {
  app
    .use(Button)
    .use(Alert)
    .use(Form)
    .use(Tabs)
    .use(Input)
    .use(Row)
    .use(Col)
    .use(Checkbox)
    .use(Card)
    .use(Tooltip)
    .use(Avatar)
    .use(Dropdown)
    .use(Modal)
    .use(Menu)
    .use(Breadcrumb)
    .use(Drawer)
    .use(Switch)
    .use(Divider)
    .use(Badge)
    .use(Affix)
    .use(Space)
    .use(Tag)
    .use(Skeleton)
    .use(Progress)
    .use(List)
    .use(Table)
    .use(DatePicker)
    .use(TimePicker)
    .use(Popconfirm)
    .use(Radio)
    .use(Select)
    .use(InputNumber)
    .use(Popover)
    .use(Image)
    .use(Steps)
    .use(Result)
    .use(Descriptions)
    .use(Upload)
    .use(Spin)
    .use(Empty)
    .use(Tree)
    .use(TreeSelect)
    .use(Typography)
    .use(message)
    .use(Cascader)
    .use(Pagination)
    .use(AutoComplete);
}
